Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.jxpath.impl
Class JxpathFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.gmt.modisco.infra.query.jxpath.impl.JxpathFactoryImpl

All Implemented Interfaces:
  JxpathFactory

    public class JxpathFactoryImpl

extends EFactoryImpl
implements JxpathFactory

An implementation of the model Factory.

Field Summary

Fields inherited from interface org.eclipse.gmt.modisco.infra.query.jxpath.JxpathFactory
`eINSTANCE`

Constructor Summary
`JxpathFactoryImpl()` Creates an instance of the factory.

Method Summary
`EObject` | `create(EClass eClass)`
`JXPathModelQuery` | `createJXPathModelQuery()`
`JxpathPackage` | `getJxpathPackage()`
`static JxpathPackage` | `getPackage()` Deprecated.
`static JxpathFactory` | `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JxpathFactoryImpl

    public JxpathFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static JxpathFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createJXPathModelQuery

    public JXPathModelQuery createJXPathModelQuery()

  Specified by:
    `createJXPathModelQuery` in interface `JxpathFactory`
  Returns:
    a new object of class 'JX Path Model Query'.

### getJxpathPackage

    public JxpathPackage getJxpathPackage()

  Specified by:
    `getJxpathPackage` in interface `JxpathFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static JxpathPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD